Package com.destroystokyo.paper.event.entity

# Class EntityPathfindEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.EntityPathfindEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityPathfindEvent extends EntityEvent implements Cancellable
Fired when an Entity decides to start moving towards a location. This event does not fire for the entities actual movement. Only when it is choosing to start moving to a location.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityPathfindEvent(@NotNull Entity entity, @NotNull Location loc, @Nullable Entity targetEntity)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Entity`
`getEntity()`
The Entity that is pathfinding.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getLoc()`
The Location of where the entity is about to move to.
`@Nullable Entity`
`getTargetEntity()`
If the Entity is trying to pathfind to an entity, this is the entity in relation.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityPathfindEvent

public EntityPathfindEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Location loc, @Nullable @Nullable Entity targetEntity)

## Method Details

### getEntity

@NotNull public @NotNull Entity getEntity()
The Entity that is pathfinding.

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  The Entity that is pathfinding.

### getTargetEntity

@Nullable public @Nullable Entity getTargetEntity()
If the Entity is trying to pathfind to an entity, this is the entity in relation. Otherwise this will return null.

Returns:
  The entity target or null

### getLoc

@NotNull public @NotNull Location getLoc()
The Location of where the entity is about to move to. Note that if the target happened to of been an entity

Returns:
  Location of where the entity is trying to pathfind to.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event